it-swarm.com.ru

пакет libprocess-cpp-dev отсутствует в 18.04

Я пытаюсь создать приложение, которое требует libprocess-cpp-dev. Есть нет доступной версии для 18.04 .

Я также попытался найти альтернативный пакет с теми же заголовочными файлами, используя apt-file:

apt-file search /usr/include/core/

но нет файла с файлом /usr/include/core/posix/child_process.h

Что я могу сделать, чтобы получить нужные мне файлы 18.04?

1
Frane

Необходимый пакет существует для надежных (14.04LTS), xenial (16.04LTS), artful (17.10) и космических (18.10) выпусков Ubuntu.

Ubuntu поддерживает обновление с выпуска LTS до следующего LTS и следующего nonLTS и с nonLTS до следующего выпуска.

Поскольку bionic (18.04) является выпуском LTS, более чистое использование пакетов из предыдущего выпуска LTS связано со временем поддержки. Просмотрите /etc/apt/sources.list и выберите минимальное количество репозиториев для использования из xenial:

deb http://hr.archive.ubuntu.com/ubuntu/ bionic main restricted
deb http://hr.archive.ubuntu.com/ubuntu/ bionic-updates main restricted

затем продублируйте эти строки и замените bionic на xenial:

deb http://hr.archive.ubuntu.com/ubuntu/ bionic main restricted
deb http://hr.archive.ubuntu.com/ubuntu/ xenial main restricted
deb http://hr.archive.ubuntu.com/ubuntu/ bionic-updates main restricted
deb http://hr.archive.ubuntu.com/ubuntu/ xenial-updates main restricted

Вы можете использовать хитрый или космический релиз, но использование космического обновит установку. Таким образом, система ведет себя так, как будто она обновлена ​​до бионической.

0
Frane